Inactive [MISC] Kits 1.1 - Yet Another Kit Plugin (SuperPerms) [1000]

Discussion in 'Inactive/Unsupported Plugins' started by captainawesome7, Jul 30, 2011.

  1. Offline

    captainawesome7

    Kits - Give yourself kits!
    Overview: 1.1
    Kits is just another plugin that lets you use /kit to give yourself a toolkit. It has cool-down times and it lets you define your own SuperPerms node for each kit. You can make as many kits as you like, provided you have the patience and copy + paste skills. If Permissions 2.7.x/3.x isn't found, it defaults to SuperPerms

    Features:
    • Kits!
    • Cool-down times
    • SuperPerms (PermissionsBukkit, bPermissions, etc.)
    • Permissions 2.7.x/3.x
    Configuration:
    config (open)

    kits.yml will be created in /plugins/Kits (by default, you can change it). The default file will look like this:
    Code:
    tools:
        Items:
        - stone_axe 1
        - stone_pickaxe 1
        - stone_spade 1
        - stone_sword 1
        Node: kits.tools
        Delay: 300
    The accepted item names can be found here. The delay is in seconds, so 300 is 5 minutes. If a player has the node kits.tools they will be allowed to use /kit tools. When a player uses /kit tools they will have to wait 5 minutes before they are allowed to use it again.

    Command Usage:
    The only command is /kit. /kit tools would (with the default config) give me 1 of each stone tool, provided that I have the permissions node kits.tools. If I join the server and use /kit tools, then try to use /kit tools again right afterwards, it would say that I have to wait before I can use it again. The default delay of 300 is 5 minutes, and you can change it to whatever. When you type /kit with no arguments (no node needed) it gives you a list of kits available (all the kits you have permission to use). If you used a kit recently and haven't waited long enough, it will show up as light red. /kit reload will reload the kits.yml file (you need the node kits.reload).

    Downloads
    The source code is included in the .jar

    Planned Changes
    None so far

    Changelog:
    Version 1.1
    • Added Permissions 2.7.x/3.x support, if not found uses SuperPerms
    Version 1.0
    • Original Release!
    [​IMG] To me to support my plugins :)
     
  2. Offline

    MonsieurApple

    Approved!
     
  3. Offline

    3ventic

    Does not seem to work with Permissions 3.X
     
  4. Offline

    captainawesome7

    *facepalms*
    It's super perms. Thats why I made this plugin, the kit one I used to have only worked with Permissions 2.7.x
    If you don't know what super perms is it's Bukkit's build in permission system. Look up PermissionsBukkit and bPermissions
     
  5. Offline

    3ventic

    bPermissions is out of the question as it would force me to leave my logging plugin. (Incompatible with spout.)

    Does PermissionsBukkit work with Permissions 3.X? (Use them both)
     
  6. Offline

    captainawesome7

    I don't know why bPermissions would force you to leave your logging pluign, and why spout has anything to do with it, but bPermissions works with Permissions 3.x
     
  7. Offline

    3ventic

    Oh, nevermind. "All, but the latest version". Thanks for info anyway.

     
  8. Offline

    Spiritwind

    Add Permissions 3.1.6 Support and I'll love you forever!!!
     
  9. Offline

    raught19

    Could u please add Permissions support? Half the plugins I run don't work with SuperPerms. and I could really use kits on my server.
     
  10. Offline

    captainawesome7

    I guess I can :/ It won't be for a few days though.
     
    Spiritwind likes this.
  11. Offline

    evbot42

    hey! been looking for a simple kit plugin like this! just wanted to ask, does it require the permission plugin (regardless of which one) or can i delete the node, and still have it work for everyone? my friends and i have a personal server and we dont use any permissions plugin.
     
  12. Offline

    captainawesome7

    Maybe, but I haven't tested it w/out bPermissions.
     
  13. Offline

    raught19

    Hey if you get up the permissions version pretty fast, I'll donate a bit :D I'm using kits for a bonus to Donator people on my server. and I'd gladly donate to you for this being able to be used with Permissions :D
     
  14. Offline

    captainawesome7

    1.1 should work with permissions 2.7.x and 3.x
     
  15. Offline

    raught19

    Thank you very much! It does work :D super excited, I'll be donating a bit soon :D
     
  16. Offline

    Spiritwind

    Any certain list of what you used for the item names? Cant figure out the item names of certain items.
    Thanks a ton for adding Permissions support!!!!!!!
     
  17. Offline

    raught19

  18. Offline

    Haku77

    I get this when trying to use any kit commands :(
    Code:
    12:15:22 [SEVERE] null
    org.bukkit.command.CommandException: Unhandled exception executing command 'kit'
     in plugin Kits v1.0
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:37)
            at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:12
    9)
            at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:3
    20)
            at net.minecraft.server.NetServerHandler.handleCommand(NetServerHandler.
    java:713)
            at net.minecraft.server.NetServerHandler.chat(NetServerHandler.java:677)
            at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:670)
            at net.minecraft.server.Packet3Chat.a(Packet3Chat.java:33)
            at net.minecraft.server.NetworkManager.b(NetworkManager.java:226)
            at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:85)
            at net.minecraft.server.NetworkListenThread.a(SourceFile:105)
            at net.minecraft.server.MinecraftServer.h(MinecraftServer.java:451)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:361)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)
    Caused by: java.lang.IllegalArgumentException: Permission name cannot be null
            at org.bukkit.permissions.PermissibleBase.hasPermission(PermissibleBase.
    java:62)
            at org.bukkit.craftbukkit.entity.CraftHumanEntity.hasPermission(CraftHum
    anEntity.java:80)
            at me.captain.kits.KitCmd.onCommand(KitCmd.java:67)
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:35)
            ... 12 more
    
     
  19. Offline

    captainawesome7

    You can't have an empty permission node.
     
  20. Offline

    Haku77

    Sorry, only just getting my head around permissions, I set the permission node for the kit i was using to be kit.admin, Is that wrong?
     
  21. Offline

    captainawesome7

    You can make the permission nodes whatever you want, it doesn't matter.
     
  22. Offline

    Haku77

    It was set as kits.admin and I had the relevant permissions, what did I do wrong?
     
  23. Offline

    captainawesome7

    I have no idea.
     
  24. Offline

    Haku77

    I think It's the permissions plugin we are using, permissionsex. Thanks for the help anyway.
     
  25. Offline

    captainawesome7

    This doesn't support PermissionsEx....
     
  26. Offline

    mtbnunu

    help..!!
    when i use /kit tools (the default one) it works fine, but when i try my own set, which is:


    i get this:
    Code:
    2011-08-18 04:30:49 [SEVERE] null
    org.bukkit.command.CommandException: Unhandled exception executing command 'kit' in plugin Kits v1.1
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:37)
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:129)
        at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:352)
        at net.minecraft.server.NetServerHandler.handleCommand(NetServerHandler.java:737)
        at net.minecraft.server.NetServerHandler.chat(NetServerHandler.java:701)
        at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:694)
        at net.minecraft.server.Packet3Chat.a(Packet3Chat.java:33)
        at net.minecraft.server.NetworkManager.b(NetworkManager.java:226)
        at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:89)
        at org.getspout.spout.SpoutNetServerHandler.a(SpoutNetServerHandler.java:435)
        at net.minecraft.server.NetworkListenThread.a(SourceFile:105)
        at net.minecraft.server.MinecraftServer.h(MinecraftServer.java:454)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:363)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)
    Caused by: java.lang.NullPointerException
        at org.bukkit.inventory.ItemStack.<init>(ItemStack.java:28)
        at me.captain.kits.Kits.giveKit(Kits.java:100)
        at me.captain.kits.KitCmd.onCommand(KitCmd.java:87)
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:35)
        ... 13 more
     
  27. Offline

    captainawesome7

    @mtbnunu There might be a problem with your Item List, I would suggest copy+pasting the default kit and changing just the name, then try and use that one. If it works the error isn't my fault.
     
  28. Offline

    Haku77

    That would be the issue then, thanks anyway
     
  29. Offline

    mtbnunu

    huh i found the reason.
    wooden_axe causes error but wood_axe works. (WOODEN IS CORRECT NAME)
    you should just let us use item id for more accuracy.
     
  30. Offline

    captainawesome7

Share This Page